[Numpy-discussion] trouble building docs with sphinx-0.6.1

Gael Varoquaux gael.varoquaux@normalesup....
Wed Apr 8 02:59:50 CDT 2009


On Wed, Apr 01, 2009 at 08:40:15PM +0000, Pauli Virtanen wrote:
> It was an incompatibility of Numpy's autosummary extension and 
> Sphinx >= 0.6. It should now be fixed in Numpy trunk.

autosummary is now in Sphinx (>= 0.6). Shouldn't we be using Sphinx's
version, and default to ours for versions of Sphinx lacking the
extention.

If we don't, I fear the same problem will arise again in the long run: we
have too much tight coupling for a feature that is not essential to
numpy.

Gaël


More information about the Numpy-discussion mailing list